> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check crawl status for a URL

> Check whether a URL has been crawled and its current indexing status.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml get /integrations/web_crawler/status
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /integrations/web_crawler/status:
    get:
      tags:
        - Integrations
        - Integrations
      summary: Check crawl status for a URL
      description: Check whether a URL has been crawled and its current indexing status.
      operationId: crawl_status_integrations_web_crawler_status_get
      parameters:
        - name: url
          in: query
          required: true
          schema:
            type: string
            description: The URL to check crawl status for
            title: Url
          description: The URL to check crawl status for
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
        - AsUser: []
components:
  schemas:
    CrawlStatusResponse:
      properties:
        url:
          type: string
          title: Url
        is_indexed:
          type: boolean
          title: Is Indexed
        total:
          type: integer
          title: Total
        completed:
          type: integer
          title: Completed
        processing:
          type: integer
          title: Processing
        failed:
          type: integer
          title: Failed
      type: object
      required:
        - url
        - is_indexed
        - total
        - completed
        - processing
        - failed
      title: CrawlStatusResponse
      description: Response for crawl status check.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````